%global commit 1f903478e212d045583e10746f68596964da0919
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global checkout .20160207git%{shortcommit}

Summary:    Find peak OpenCL capacities like bandwidth & compute
Name:       clpeak
Version:    0.1
Release:    11%{?checkout}%{?dist}
License:    Public Domain
Group:      Applications/System
URL:        https://github.com/krrishnarraj/%{name}

Source0:    %{url}/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz

BuildRequires: cmake >= 2.6
BuildRequires: opencl-headers
BuildRequires: ocl-icd-devel
BuildRequires: mesa-libGL-devel


%description
A tool which profiles OpenCL devices to find their peak capacities like
bandwidth & compute.

%prep
%setup -q -n %{name}-%{commit}


%build
mkdir build
cd build

%cmake ..

make %{?_smp_mflags}


%install
mkdir -p %{buildroot}/%{_bindir}/
install -pm0755 build/clpeak %{buildroot}%{_bindir}/


%files
%doc README.md LICENSE STATUS
%{_bindir}/clpeak


%changelog
* Sun Feb 07 2016 Fabian Deutsch <fabiand@fedoraproject.org> - 0.1-11.20160207git1f90347
- Update to the latest upstream

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-10.20150215git9a39c0c
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-9.20150215git9a39c0c
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.1-8.20150215git9a39c0c
- Rebuilt for GCC 5 C++11 ABI change

* Tue Feb 17 2015 Peter Robinson <pbrobinson@fedoraproject.org> 0.1-7.20150215git9a39c0c
- Re-enable ARMv7 now headers issue is fixed

* Sun Feb 15 2015 Fabian Deutsch <fabiand@fedoraproject.org> - 0.1-6.20150215git9a39c0c
- Update to latest upstream

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-5.20140603git97519a8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-4.20140603git97519a8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Jun 03 2014 Fabian Deutsch <fabiand@fedoraproject.org> - 0.1-3.20140503git97519a8
- Async update to sync with upstream

* Fri Apr 25 2014 Fabian Deutsch <fabiand@fedoraproject.org> - 0.1-2.20140425gitc0b94f2
- Improve installation
- Drop gcc-c++ BR

* Fri Apr 25 2014 Fabian Deutsch <fabiand@fedoraproject.org> - 0.1-1.20140425gitc0b94f2
- Initial package
